# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "getquotes"
version = "0.1.0"
authors = ["Muntasir Mahmud <muntasir.joypurhat@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A command line tool to get quotes from the WikiQuotes"
documentation = "https://github.com/MuntasirSZN/getquotes"
readme = "README.md"
keywords = [
    "quotes",
    "wikiquote",
    "command-line",
    "cli",
    "rust",
]
license = "MIT"
repository = "https://github.com/MuntasirSZN/getquotes"

[package.metadata.android]
build_targets = ["aarch64-linux-android"]

[profile.release]
opt-level = 3
lto = true
codegen-units = 1
strip = true

[lib]
name = "getquotes"
path = "src/lib.rs"

[[bin]]
name = "getquotes"
path = "src/main.rs"

[[test]]
name = "cache_tests"
path = "tests/cache_tests.rs"

[[test]]
name = "config_tests"
path = "tests/config_tests.rs"

[[test]]
name = "integration_tests"
path = "tests/integration_tests.rs"

[[test]]
name = "logger_tests"
path = "tests/logger_tests.rs"

[[test]]
name = "quotes_tests"
path = "tests/quotes_tests.rs"

[dependencies.chrono]
version = "0.4.39"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.colored]
version = "3.0.0"

[dependencies.dirs]
version = "6.0.0"

[dependencies.env_logger]
version = "0.11.6"

[dependencies.html-escape]
version = "0.2.13"

[dependencies.log]
version = "0.4.22"

[dependencies.logger]
version = "0.4.0"

[dependencies.rand]
version = "0.8"

[dependencies.reqwest]
version = "0.12"
features = [
    "rustls-tls",
    "json",
    "blocking",
]
default-features = false

[dependencies.rusqlite]
version = "0.32.1"
features = ["bundled"]

[dependencies.scraper]
version = "0.22.0"

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tokio]
version = "1"
features = ["full"]

[dependencies.urlencoding]
version = "2.1.3"

[dev-dependencies.mockito]
version = "1.6.1"

[dev-dependencies.tempdir]
version = "0.3.7"

[target.'cfg(target_os = "android")'.dependencies.android_logger]
version = "0.14"
